Bug 148912 - CAN-2005-0205 kppp local domain name hijacking
CAN-2005-0205 kppp local domain name hijacking
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdenetwork (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-02-16 16:25 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-03 10:33:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch to fix this issue. (454 bytes, patch)
2005-02-16 16:27 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-02-16 16:25:50 EST
1. Systems affected:

        kppp as included in KDE up to including KDE 3.1.5. KDE 3.2.x
        and newer are not affected.

2. Overview:

        kppp, if installed suid root, allows local attackers to hijack
        a system's domain name resolution function.

        A fix introduced for a similiar vulnerability, added to the code
        base in 1998, was incomplete and can be bypassed.

        In 2002 a proper fix was made by Dirk Mueller for KDE 3.2 as part
        of a code audit. No advisory was issued because the problem was
        considered to be unexploitable at that time. iDEFENSE now
        rediscovered the issue and supplied an example exploit for this

3. Impact:

        Modifications to /etc/hosts and /etc/resolv.conf can be done by
        local users which allows manipulation of host and domain name
        lookups, enabling other phishing and social engineering attacks.
Comment 1 Josh Bressers 2005-02-16 16:27:34 EST
Created attachment 111137 [details]
Proposed patch to fix this issue.
Comment 2 Josh Bressers 2005-02-16 16:28:49 EST
This issue also affects RHEL2.1
Comment 3 Ngo Than 2005-02-17 06:16:16 EST
it's now fixed in kdenetworks-2.2.2-3.1 (2.1AS) and kdenetworks-3.1.3-1.8 (RHEL3)
Josh, it's nice if you could create new errata advisory for this! thanks
Comment 6 Mark J. Cox (Product Security) 2005-02-28 11:19:42 EST
public removing embargo
Comment 7 Josh Bressers 2005-03-03 10:33:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.